%global tag cbi-plugins-1.0.3

Name:           cbi-plugins
Version:        1.0.3
Release:        1%{?dist}
Summary:        A set of helpers for Eclipse CBI

Group:          Development/Libraries
License:        EPL
URL:            http://git.eclipse.org/c/cbi/org.eclipse.cbi.maven.plugins.git/
Source0:        http://git.eclipse.org/c/cbi/org.eclipse.cbi.maven.plugins.git/snapshot/org.eclipse.cbi.maven.plugins-%{tag}.tar.bz2
BuildArch:      noarch

BuildRequires:  tycho
BuildRequires:  tycho-extras
BuildRequires:  xmvn
Requires:       tycho
Requires:       tycho-extras
Requires:       jpackage-utils

%description
A set of helpers for Eclipse CBI.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n org.eclipse.cbi.maven.plugins-%{tag}

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 eclipse-cbi-plugin/target/eclipse-cbi-plugin-*.jar \
        %{buildroot}%{_javadir}/eclipse-cbi-plugin.jar

install -m 644 eclipse-jarsigner-plugin/target/eclipse-jarsigner-plugin-*.jar \
        %{buildroot}%{_javadir}/eclipse-jarsigner-plugin.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}

install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-cbi-plugins-parent.pom
%add_maven_depmap JPP-cbi-plugins-parent.pom

install -pm 644 eclipse-cbi-plugin/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-eclipse-cbi-plugin.pom
%add_maven_depmap JPP-eclipse-cbi-plugin.pom eclipse-cbi-plugin.jar

install -pm 644 eclipse-jarsigner-plugin/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-eclipse-jarsigner-plugin.pom
%add_maven_depmap JPP-eclipse-jarsigner-plugin.pom eclipse-jarsigner-plugin.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*

%files -f .mfiles

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon May 27 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.0.3-1
- Update to latest upstream.

* Thu Mar 14 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.0.1-0.4.git734d40
- Update to latest upstream.

* Thu Feb 21 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.0.1-0.3.git120561
- Delete empty line from sources.

* Thu Feb 21 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.0.1-0.2.git120561
- Review remarks fixed.

* Thu Feb 21 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.0.1-0.1.git120561
- Initial contribution.
